/* ==========================================================================
   Blog List - Metro style - begin
   ========================================================================== */

.mkdf-blog-holder {
    
    &.mkdf-blog-metro {

        article {
            overflow: hidden;

            &:not(.format-gallery) {
	            
                .mkdf-post-image {
                    height: 100%;

                    a {
                        display: block;
                        height: 100%;
                        @include mkdfTransition(all .3s ease-out);

                        &:before {
                            content: '';
                            display: block;
                            position: absolute;
                            top: 0;
                            left: 0;
                            width: 100%;
                            height: 100%;
                            @include mkdfTransition(all .3s ease-out);
                            background: rgba(0, 0, 0, 0.2);
                        }

                        img {
                            height: 100%;
                        }
                    }
                }
            }

            .mkdf-post-info {
                position: absolute;
                left: 30px;
                bottom: 30px;
                width: calc(100% - 60px);

                > * {
                    display: block;
                }

                .mkdf-post-info-date {
                    color: #fff;
                }

                .mkdf-post-title {
                    color: #fff;
	                
                    a:before {
                        content: '';
                        position: absolute;
                        left: 0;
                        top: 0;
                        width: 100%;
                        height: 100%;
                    }
                }
            }

            &.format-link {
	            
                .mkdf-post-mark {
                    position: absolute;
                    font-size: 30px;
                    right: 34px;
                    bottom: 38px;
                    color: #fff;
                }
	            
                .mkdf-post-info {
                    width: calc(100% - 100px);
                }
            }

            &.format-quote {
	            
                .mkdf-post-mark {
                    position: absolute;
                    right: 21px;
	                bottom: 20px;
	                font-size: 50px;
	                color: #fff;
	                z-index: 20;
                }
	            
                .mkdf-post-info {
                    position: absolute;
                    top: 0;
                    left: 0;
                    width: 100%;
                    height: 100%;
                    overflow: hidden;

                    .mkdf-post-quote-holder {
	                    position: relative;
	                    display: table;
	                    width: 73%;
	                    height: 100%;
	                    margin: 0 auto;
                        z-index: 20;
                    }

                    .mkdf-post-quote-holder-inner {
                        display: table-cell;
                        vertical-align: middle;
                    }

                    .mkdf-quote-title {
                        display: block;
                        color: #fff;
                        font-size: 20px;
                        line-height: 1.6em;
                    }

                    .mkdf-quote-author {
                        display: block;
                        color: #fff;
                        margin-top: 22px;
                    }
                }
            }

            &.format-video {
	            
                .mkdf-video-post-link {
                    position: absolute;
                    left: 50%;
                    top: 50%;
                    width: 56px;
                    height: 56px;
                    font-size: 56px;
                    color: #fff;
                    @include mkdfTransform(translate(-50%, -50%));
                }
            }

            &.format-gallery {
	            
                .mkdf-blog-gallery,
                .owl-wrapper-outer {
                    display: block;
                    height: 100%;
                    width: 100%;
                }
	            
                .owl-wrapper,
                .owl-item,
                .mkdf-blog-gallery-item {
                    height: 100%;
                }
	            
                .mkdf-blog-gallery-item {
                    background-size: cover;

                    a {
                        display: block;
                        height: 100%;
                        width: 100%;
                    }
                }

                .owl-stage-outer,
                .owl-carousel .owl-stage{
                    height: 100% !important;
                }
            }

            &:hover {
	            
                .mkdf-post-image {
	                
                    a {
                        @include mkdfTransform(scale(1.05));
                        @include mkdfTransition(all .4s cubic-bezier(0.22, 0.61, 0.36, 1));
	                    
                        &:before {
                            -webkit-transform-origin: 50% 100%;
	                        -moz-transform-origin: 50% 100%;
                            transform-origin: 50% 100%;
                            @include mkdfTransform(scale(1.1));
                        }
                    }
                }
            }
        }
    }
}
/* ==========================================================================
   Blog List - Metro style - end
   ========================================================================== */